clear all; close all;
Freq=[20 24 27 30 32 34 37 40 50 66 94];
ap=[0.1 0.5 1 2 3];
L35=[32 71 117 201 267 203 111 101 31 13 9]/301;
R35=[35 81 127 221 277 213 119 113 43 25 17]/313;
La35=[31 69 85 145 147]/301;
Ra35=[43 79 95 155 157]/313;
L24=[111 269 171 133 115 111 91 89 69 51 57]/281;
R24=[121 277 181 143 125 123 103 103 79 61 67]/293;
La24=[69 93 95 135 167]/281;
Ra24=[73 103 105 149 177]/293;

T35=(R35+L35)/2;
ET35=(R35-L35)/2;
T35a=(Ra35+La35)/2;
ET35a=(Ra35-La35)/2;

T24=(R24+L24)/2;
ET24=(R24-L24)/2;
T24a=(Ra24+La24)/2;
ET24a=(Ra24-La24)/2;
load dataT.mat
load dataT32.mat
load dataTab32.mat
load dataTab.mat
figure(1)
hold on
errorbar(Freq,T24,ET24,'-.r','linew',2)
errorbar(Freq,T35,ET35,'-.k','linew',2)
plot(Freq, Trans24,'-^r','linew',2)
plot(Freq, Trans35,'-^k','linew',2)
plot(Freq, Trans32,'-^b','linew',2)

grid on
set(gca,'fontsize',16)
legend(' Exp. 24 GHz','Exp. 35 GHz','Calc. 24 GHz','Calc. 35 GHz','Calc. 32 GHz')
xlabel('Filter frequency, [GHz]')
ylabel('Transmission, [1]')
title('Cross filters')

figure(2)
hold on
errorbar(ap,T24a,ET24a,'-.r','linew',2)
errorbar(ap,T35a,ET35a,'-.k','linew',2)
plot(ap, Trans24ab,'-^r','linew',2)
plot(ap, Trans35ab,'-^k','linew',2)
plot(ap, Trans32ab,'-^b','linew',2)

grid on
set(gca,'fontsize',16)
legend(' Exp. 24 GHz','Exp. 35 GHz','Calc. 24 GHz','Calc. 35 GHz','Calc. 32 GHz','location','northwest')
xlabel('a (b), [mm]')
ylabel('Transmission, [1]')
title('Cross filters (50 GHz)')
