   clear all; close all; clc
%inductive grating
%phys. const
c=299792458;%speed of light, m/s
sigma=1.45e+6*1e-7*c*c;%stainless steel conductivity, [s]
j=0;
nu_filter=[20 23 24 25 26 27 30 40 50].*1e+9;
nu=(0.001:0.01:100)*1e+9;
F24i=[];
sigma24=0.01e+9;
gauss24=1/sqrt(2*pi*sigma24^2)*exp(-(nu-24e+9).^2./(2*sigma24^2));
F35i=[];
sigma35=1e+9;
gauss35=1/sqrt(2*pi*sigma35^2)*exp(-(nu-35e+9).^2./(2*sigma35^2));
color=colormap(jet(length(nu_filter)))
for f=nu_filter
j=j+1;
lamb0=c/f;
ratio=0.02;%a/g ratio
omega0=(1-0.27*(ratio));
g=lamb0*omega0;
a=ratio*g;%wire width



disp(['g=' num2str(g*1e+3) 'mm a=' num2str(a*1e+3) 'mm nu=' num2str((1-0.27*ratio)*c/g*1e-9) ' GHz'])
disp(['g=' num2str(round(g*1e+6)*1e-3) 'mm a=' num2str(round(a*1e+6)*1e-3) 'mm nu=' num2str((1-0.27*ratio)*c/g*1e-9) ' GHz'])
disp(['Plate=' num2str(round(g*1e+6)*1e-3-2*round(a*1e+6)*1e-3) ' mm and ' num2str(round(1000/(round(g*1e+6)*1e-3))/10) ' squares on line'])
disp(['  '])
omega=nu*g/c;
lamb=g./omega;
eta=1/(1-2*ratio);
R=eta./2.*sqrt(c./lamb./sigma);
Om=lamb0./lamb-lamb./lamb0;
Z0=(2*log(csc(a*pi/(2*g))));
% Z0=8;
t2=(R.^2+(Z0./Om).^2)./((1+R).^2+(Z0./Om).^2);

plot(nu/1e+9,t2,'color',color(end-j+1,:),'linew',2)
F24i=[F24i,t2*gauss24'*1e+7];
F35i=[F35i,t2*gauss35'*1e+7];

hold on
end
set(gca,'fontsize',16)
xlabel('Frequency, [GHz]')
ylabel('Transmissivity,[1]')
legend('20 GHz','23 GHz','24 GHz','25 GHz','26 GHz','27 GHz','30 GHz','40 GHz','50 GHz','location','southeast')
grid on
xlim([10 100])
ylim([0 1])


